Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.util
Class LaTeXArrayFormatter

    java.lang.Object
      umontreal.iro.lecuyer.util.LaTeXArrayFormatter

All Implemented Interfaces:
  Closeable, Flushable

    public class LaTeXArrayFormatter

extends Object
implements Closeable, Flushable

Provides utility methods to format every element of arrays using methods of `LaTeXFormatter`. All methods in this class format each element of given arrays, separated by a comma and a space. For example, the method `formatIntegerArray(int, byte[])` may produce `2, 5, 1, 6`.

Constructor Summary
`LaTeXArrayFormatter(LaTeXFormatter lf)`

Method Summary
`void` | `close()`
`void` | `flush()`
`LaTeXArrayFormatter` | `formatFixedArray(int precision, double[] array)` Formats each number of the array `array` using a fixed `precision` number of decimal digits.
`LaTeXArrayFormatter` | `formatFixedArray(int precision, float[] array)` Formats each number of the array `array` using a fixed `precision` number of decimal digits.
`LaTeXArrayFormatter` | `formatIntegerArray(int precision, byte[] array)` Formats each integer of the array `array` with `precision` digits.
`LaTeXArrayFormatter` | `formatIntegerArray(int precision, int[] array)` Formats each integer of the array `array` with `precision` digits.
`LaTeXArrayFormatter` | `formatIntegerArray(int precision, long[] array)` Formats each integer of the array `array` with `precision` digits.
`LaTeXArrayFormatter` | `formatIntegerArray(int precision, short[] array)` Formats each integer of the array `array` with `precision` digits.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, byte[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, double[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, float[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, int[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, byte[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, double[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, float[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, int[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, long[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int digitsSmall, int digitsLarge, short[] array)` Formats each number of the array `array` using `int, double)`.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, long[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatNumberArray(int precision, short[] array)` Formats each number of the array `array` with `precision` significant digits.
`LaTeXArrayFormatter` | `formatScientificArray(int precision, double[] array)` Formats each number of the array `array` in scientific notation with `precision` decimal digits.
`LaTeXArrayFormatter` | `formatScientificArray(int precision, float[] array)` Formats each number of the array `array` in scientific notation with `precision` decimal digits.
`LaTeXFormatter` | `getLaTeXFormat()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LaTeXArrayFormatter

    public LaTeXArrayFormatter(LaTeXFormatter lf)

Method Detail

### getLaTeXFormat

    public LaTeXFormatter getLaTeXFormat()

### close

    public void close()

  Specified by:
    `close` in interface `Closeable`

### flush

    public void flush()

  Specified by:
    `flush` in interface `Flushable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### formatIntegerArray

    public LaTeXArrayFormatter formatIntegerArray(int precision,
                                                  byte[] array)

  Formats each integer of the array `array` with `precision` digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatIntegerArray

    public LaTeXArrayFormatter formatIntegerArray(int precision,
                                                  short[] array)

  Formats each integer of the array `array` with `precision` digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatIntegerArray

    public LaTeXArrayFormatter formatIntegerArray(int precision,
                                                  int[] array)

  Formats each integer of the array `array` with `precision` digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatIntegerArray

    public LaTeXArrayFormatter formatIntegerArray(int precision,
                                                  long[] array)

  Formats each integer of the array `array` with `precision` digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatFixedArray

    public LaTeXArrayFormatter formatFixedArray(int precision,
                                                float[] array)

  Formats each number of the array `array` using a fixed `precision` number of decimal digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatFixedArray

    public LaTeXArrayFormatter formatFixedArray(int precision,
                                                double[] array)

  Formats each number of the array `array` using a fixed `precision` number of decimal digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatScientificArray

    public LaTeXArrayFormatter formatScientificArray(int precision,
                                                     float[] array)

  Formats each number of the array `array` in scientific notation with `precision` decimal digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatScientificArray

    public LaTeXArrayFormatter formatScientificArray(int precision,
                                                     double[] array)

  Formats each number of the array `array` in scientific notation with `precision` decimal digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 byte[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 short[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 int[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 long[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 float[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int precision,
                                                 double[] array)

  Formats each number of the array `array` with `precision` significant digits.

  Parameters:
    `precision` - the minimal number of digits of precision.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 byte[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 short[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 int[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 long[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 float[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

### formatNumberArray

    public LaTeXArrayFormatter formatNumberArray(int digitsSmall,
                                                 int digitsLarge,
                                                 double[] array)

  Formats each number of the array `array` using `int, double)`.

  Parameters:
    `digitsSmall` - the number of significant digits for numbers smaller than 1.
    `digitsLarge` - the number of significant digits for numbers greater than 1.
    `array` - the array to be formatted.
  Returns:
    this array formatter.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.